<template>
  <div>
    <apexcharts
      type="bar"
      :options="chartOptions"
      :series="series"
    ></apexcharts>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

export default {
  name: "HorizontalBar",
  props: {
    labels: {
      type: Array,
      default: () => [],
    },
    datasets: {
      type: Array,
      default: () => [
        {
          data: [],
          backgroundColor: [],
        },
      ],
    },
  },
  components: {
    apexcharts: VueApexCharts,
  },
  data: function () {
    return {
      chartOptions: {
        chart: {
          id: "vuechart-example",
        },
        xaxis: {
          categories: [],
        },
        yaxis: {
          labels: {
            show: false,
            formatter: function (val) {
              let formatter = new Intl.NumberFormat("es-CL", {
                style: "currency",
                currency: "CLP",
              });
              return formatter.format(val);
            },
          },
        },
        dataLabels: {
          enabled: true,
          formatter: function (val) {
            let formatter = new Intl.NumberFormat("es-CL", {
              style: "currency",
              currency: "CLP",
            });
            return formatter.format(val);
          },
          offsetY: -20,
          style: {
            fontSize: "12px",
            colors: ["#304758"],
          },
        },
      },
      series: [],
    };
  },
  methods: {
    updateChart() {
      this.chartOptions = {
        xaxis: {
          categories: this.labels,
        },
      };
      this.series.push({
        name: "Presupuesto",
        data: this.datasets[0].data,
      });
    },
  },
  mounted() {
    this.updateChart();
  },
};
</script>
